Loading...
Searching...
No Matches
calc_metric.h File Reference
`#include <gnuradio/digital/metric_type.h>`
`#include <gnuradio/gr_complex.h>`
`#include <vector>`
Include dependency graph for calc_metric.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces

namespace | gr
| GNU Radio logging wrapper.
namespace | gr::trellis

## Functions

template<class T>
void | gr::trellis::calc_metric (int O, int D, const std::vector< T > &TABLE, const T *input, float *metric, digital::trellis_metric_type_t type)
void | gr::trellis::calc_metric (int O, int D, const std::vector< gr_complex > &TABLE, const gr_complex *input, float *metric, digital::trellis_metric_type_t type)